; Pinta el indicador de numero de pantalla
PintaMarcador:
   ld DE, PANTALLA_NUM_BCD
   ld HL, POSICION_NUMERO_PANTALLA+4
   call PintaMarcadorLSN

   ld DE, PANTALLA_NUM_BCD
   ld HL, POSICION_NUMERO_PANTALLA
   call PintaMarcadorMSN   

   ret

; Pinta con digitos el nibble mas significativo
; del byte en BCD apuntado por DE
; DE = byte en BCD
; HL = posicion en memoria de video
PintaMarcadorMSN:
   ld A, (DE)     
   and %11110000              ; Nos quedamos solo con los 4 bits mas significativos
   srl A                      ; 3 desplazamientos a la derecha
   srl A                      ; para usar usar este numero como indice
   srl A                      ; en el array de graficos de los digitos
   ld B, 0                    
   ld C, A
   ld IY, Numerotileset       ; Inicio del array de punteros a los graficos de los numeros
   add IY, BC                 ; Avanzamos hasta el numero que representa 
   ld E, (IY+0)               ; Cargamos la direccion de ese numero en DE
   ld D, (IY+1)
   ld A, 16
   call PintaBloque8          ; Pintamos el numero con digitos de altura normal
   ret

; Pinta con digitos el nibble menos significativo
; del byte en BCD apuntado por DE
; DE = byte en BCD
; HL = posicion en memoria de video
PintaMarcadorLSN:
   ld A, (DE)     
   and %00001111              ; Nos quedamos solo con los cuatro bits menos significativos
   sla A                      ; Multiplicamos por dos para usar las
   ld B, 0                    ; unidades como indice en el array 
   ld C, A                    ; de punteros a los graficos de los numeros 
   ld IY, Numerotileset       ; Inicio del array de punteros a los graficos de los numeros
   add IY, BC                 ; Avanzamos hasta el numero que representa C
   ld E, (IY+0)               ; Cargamos la direccion de ese numero en DE
   ld D, (IY+1)
   ld A, 16
   call PintaBloque8          ; Pintamos el numero con digitos de altura normal
   ret

